org.apache.maven.scm.provider.bazaar.command

## Class BazaarConstants

- java.lang.Object
- - org.apache.maven.scm.provider.bazaar.command.BazaarConstants

-     public class BazaarConstants
      extends Object

  Available/Used bazaar commands.

  These commands does not necessarily correspond to the SCM API. Eg. "check in" is translated to be "commit" and "push".
  Version:
    $Id: BazaarConstants.java 806089 2009-08-20 08:46:58Z struberg $
  Author:
    Torbjï¿½rn Eikli Smï¿½rgrav

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADD_CMD` Default recursive.
    `static String` | `BRANCH_CMD` Create a new copy of a branch.
    `static String` | `CHECK`
    `static String` | `COMMIT_CMD` Commit changes into a new revision
    `static String` | `DIFF_CMD` Show differences in workingtree.
    `static String` | `EXEC` Executable for Bazaar
    `static String` | `INIT_CMD` Use to create an empty branch or before importing an existing project
    `static String` | `INVENTORY_CMD` Show inventory of the current working copy or a revision
    `static String` | `LOG_CMD` Show log of this branch Common option: --revision
    `static String` | `LS_CMD` List directory contents, bazaar style.
    `static String` | `MESSAGE_OPTION`
    `static String` | `NO_RECURSE_OPTION`
    `static String` | `NO_STRICT_OPTION`
    `static String` | `PULL_CMD` Pull any changes from another branch into the current one
    `static String` | `PUSH_CMD` Push this branch into another branch
    `static String` | `RECURSIVE_OPTION` Option to enable recursing into subdirectories.
    `static String` | `REMOVE_CMD` Make a file unversioned
    `static String` | `REVISION_OPTION`
    `static String` | `REVNO_CMD` Show current revision number
    `static String` | `STATUS_CMD` Reports the following states: added, removed, modified, unchanged, unknown
    `static String` | `TAG_CMD` Create a tag
    `static String` | `VERBOSE_OPTION`
    `static String` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BazaarConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXEC

          public static final String EXEC

      Executable for Bazaar
      See Also:
        Constant Field Values

    - #### INIT_CMD

          public static final String INIT_CMD

      Use to create an empty branch or before importing an existing project
      See Also:
        Constant Field Values

    - #### ADD_CMD

          public static final String ADD_CMD

      Default recursive. Common option: --dry-run and --no-recursive
      See Also:
        Constant Field Values

    - #### STATUS_CMD

          public static final String STATUS_CMD

      Reports the following states: added, removed, modified, unchanged, unknown
      See Also:
        Constant Field Values

    - #### REMOVE_CMD

          public static final String REMOVE_CMD

      Make a file unversioned
      See Also:
        Constant Field Values

    - #### BRANCH_CMD

          public static final String BRANCH_CMD

      Create a new copy of a branch. Alias get or clone
      See Also:
        Constant Field Values

    - #### COMMIT_CMD

          public static final String COMMIT_CMD

      Commit changes into a new revision
      See Also:
        Constant Field Values

    - #### PULL_CMD

          public static final String PULL_CMD

      Pull any changes from another branch into the current one
      See Also:
        Constant Field Values

    - #### LOG_CMD

          public static final String LOG_CMD

      Show log of this branch Common option: --revision
      See Also:
        Constant Field Values

    - #### DIFF_CMD

          public static final String DIFF_CMD

      Show differences in workingtree. Common option: --revision
      See Also:
        Constant Field Values

    - #### PUSH_CMD

          public static final String PUSH_CMD

      Push this branch into another branch
      See Also:
        Constant Field Values

    - #### REVNO_CMD

          public static final String REVNO_CMD

      Show current revision number
      See Also:
        Constant Field Values

    - #### TAG_CMD

          public static final String TAG_CMD

      Create a tag
      See Also:
        Constant Field Values

    - #### LS_CMD

          public static final String LS_CMD

      List directory contents, bazaar style.
      See Also:
        Constant Field Values

    - #### INVENTORY_CMD

          public static final String INVENTORY_CMD

      Show inventory of the current working copy or a revision
      See Also:
        Constant Field Values

    - #### NO_RECURSE_OPTION

          public static final String NO_RECURSE_OPTION

      See Also:
        Constant Field Values

    - #### NO_STRICT_OPTION

          public static final String NO_STRICT_OPTION

      See Also:
        Constant Field Values

    - #### MESSAGE_OPTION

          public static final String MESSAGE_OPTION

      See Also:
        Constant Field Values

    - #### REVISION_OPTION

          public static final String REVISION_OPTION

      See Also:
        Constant Field Values

    - #### VERBOSE_OPTION

          public static final String VERBOSE_OPTION

      See Also:
        Constant Field Values

    - #### RECURSIVE_OPTION

          public static final String RECURSIVE_OPTION

      Option to enable recursing into subdirectories.
      See Also:
        Constant Field Values

    - #### VERSION

          public static final String VERSION

      See Also:
        Constant Field Values

    - #### CHECK

          public static final String CHECK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BazaarConstants

          public BazaarConstants()

Copyright © 2003–2015. All rights reserved.